Get available transactions for fiscal documents

Retrieves a paginated list of available transactions for a source based on the document type.

  • For INVOICE: Returns posted (paid) transactions, and pending transactions when feature.fiscal-document.pending-transactions is enabled
  • For CREDIT_NOTE: Returns posted (paid) transactions, and pending transactions when feature.fiscal-document.pending-transactions is enabled
  • For PRO_FORMA_INVOICE: Returns both pending transactions and posted (paid) payments
  • Transactions already included in fiscal documents are excluded unless show_invoiced=true
  • Each transaction includes a status field (PENDING or POSTED)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
deprecated

Document type for which transactions are related (deprecated, use documentKind instead).

string
enum

Document type for which transactions are related.

string

Token for fetching the next page, as per cursor-based pagination.

int32
1 to 100
Defaults to 20

Number of results to return per page.

int64
required
≥ 1

source ID.

string

Supported fields - createdAt, serviceDate, sourceId, transactionDate, internalCode

string
enum
required

Filter by source kind.

Allowed:
folioIds
array of int64s
length ≥ 1

Filter by folio IDs.

folioIds
boolean
Defaults to false

When true, tax transactions are nested inside their parent transaction's taxes field and removed from the top-level list.

boolean
Defaults to false

When true, transactions already included in fiscal documents are not filtered out.

string

Invoice currency to convert every transaction into. Each transaction's amount is converted to this currency using the property's current exchange rate and returned in the display* fields; the original amount and currency are also returned. When omitted, no conversion is applied.

Headers
int64
required
≥ 1

Property id

Responses

409

The source's transactions are being reconciled, or pending transaction discrepancies were
found. The list is not safe to act on yet — retry the request.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json